OpenVDB 5.1.0

Public Types | Public Member Functions | Protected Types | Protected Attributes | List of all members
AlphaMask< GridT, MaskT, SamplerT, FloatT > Class Template Reference

`#include <Interpolation.h>`

## Public Types
using | GridType = GridT
using | MaskType = MaskT
using | SamlerType = SamplerT
using | FloatType = FloatT

## Public Member Functions
| AlphaMask (const GridT &grid, const MaskT &mask, FloatT min, FloatT max, bool invert)
bool | operator() (const Coord &xyz, FloatT &a, FloatT &b) const

## Protected Types
using | AccT = typename MaskType::ConstAccessor

## Protected Attributes
AccT | mAcc
tools::DualGridSampler< AccT, SamplerT > | mSampler
const FloatT | mMin
const FloatT | mInvNorm
const bool | mInvert

## Member Typedef Documentation

## ◆ AccT

using AccT = typename MaskType::ConstAccessor
| protected

## ◆ FloatType

using FloatType = FloatT

## ◆ GridType

using GridType = GridT

## ◆ MaskType

using MaskType = MaskT

## ◆ SamlerType

using SamlerType = SamplerT

## Constructor & Destructor Documentation

## ◆ AlphaMask()

AlphaMask | ( | const GridT & | grid,
|  | const MaskT & | mask,
|  | FloatT | min,
|  | FloatT | max,
|  | bool | invert
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

bool operator() | ( | const Coord & | xyz,
|  | FloatT & | a,
|  | FloatT & | b
| ) |  | const
| inline

## Member Data Documentation

## ◆ mAcc

AccT mAcc
| protected

## ◆ mInvert

const bool mInvert
| protected

## ◆ mInvNorm

const FloatT mInvNorm
| protected

## ◆ mMin

const FloatT mMin
| protected

## ◆ mSampler

tools::DualGridSampler<AccT, SamplerT> mSampler
| protected

The documentation for this class was generated from the following file:

- Interpolation.h